These are chat archives for nebrius/raspi-io

20th
Dec 2014
Luis Montes
@monteslu
Dec 20 2014 16:31
ok, so wasn't satisfied with simple demo and decided to the whole hosted browser-johnny-five on the pi. Problem is I'm now hitting errors with the wiringpi script
Luis Montes
@monteslu
Dec 20 2014 16:41
no go even as sudo. i didnt have problem before, and the script starts off telling me that Wiring Pi is already installed and it will skip, but its trying to install it anyway?
Luis Montes
@monteslu
Dec 20 2014 16:49
Initial work is here, but not quite able to test it until i my raspi-io install figured out: https://github.com/monteslu/remotepi
Bryan Hughes
@nebrius
Dec 20 2014 18:05
@monteslu, I won't have access to a computer for a few hours, but can you go ahead and post the error here?
Bryan Hughes
@nebrius
Dec 20 2014 22:56
@monteslu finally back at a computer. Looking at your error message, I have this to say: what the what?!?
I don’t think I’ve ever seen an ELIFECYCLE error before
Luis Montes
@monteslu
Dec 20 2014 22:56
haha
trying on an A+ right now, not seeing the same error
my little app takes about half an hour to run npm install, so not sure it works yet
Bryan Hughes
@nebrius
Dec 20 2014 22:57
so wiring pi did skip installation properly, the compilation steps are for other modules (raspi-core, raspi-pwm, and raspi-gpio)
Luis Montes
@monteslu
Dec 20 2014 23:05
my model B had node 0.10.28, and the A+ has 0.10.33, not sure that matters
Bryan Hughes
@nebrius
Dec 20 2014 23:05
@monteslu so doing some research on ELIFECYCLE errors, and I don’t exactly know how to fix it. However, pre-comiling should fix this going forward, so I opened bryan-m-hughes/raspi-core#1
it’s possible, maybe try upgrading?
Luis Montes
@monteslu
Dec 20 2014 23:06
will give that a shot soon as the A+ finishes up